Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.output
Class ChoraIntegration

    java.lang.Object
      net.sf.statsvn.output.ChoraIntegration

All Implemented Interfaces:
  net.sf.statcvs.output.WebRepositoryIntegration

public class ChoraIntegration
extends Object
implements net.sf.statcvs.output.WebRepositoryIntegration

Integration of the Chora CVS Viewer

Version:
  $Id: ChoraIntegration.java,v 1.9 2004/10/12 07:22:42 cyganiak Exp $
Author:
  Richard Cyganiak

Constructor Summary
`ChoraIntegration(String baseURL)`

Method Summary
`String` | `getBaseUrl()`
`String` | `getDiffUrl(net.sf.statcvs.model.Revision oldRevision, net.sf.statcvs.model.Revision newRevision)`
`String` | `getDirectoryUrl(net.sf.statcvs.model.Directory directory)`
`String` | `getFileHistoryUrl(net.sf.statcvs.model.VersionedFile file)`
`String` | `getFileViewUrl(net.sf.statcvs.model.Revision revision)`
`String` | `getFileViewUrl(net.sf.statcvs.model.VersionedFile file)`
`String` | `getName()`
`void` | `setAtticFileNames(Set atticFileNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoraIntegration

    public ChoraIntegration(String baseURL)

Parameters:
  `baseURL` - base URL of the Chora installation

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getName`

### getDirectoryUrl

    public String getDirectoryUrl(net.sf.statcvs.model.Directory directory)

  Specified by:
    `getDirectoryUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getDirectoryUrl`

### getFileHistoryUrl

    public String getFileHistoryUrl(net.sf.statcvs.model.VersionedFile file)

  Specified by:
    `getFileHistoryUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getFileHistoryUrl`

### getFileViewUrl

    public String getFileViewUrl(net.sf.statcvs.model.VersionedFile file)

  Specified by:
    `getFileViewUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getFileViewUrl(VersionedFile)`

### getFileViewUrl

    public String getFileViewUrl(net.sf.statcvs.model.Revision revision)

  Specified by:
    `getFileViewUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getFileViewUrl(VersionedFile)`

### getDiffUrl

    public String getDiffUrl(net.sf.statcvs.model.Revision oldRevision,
                             net.sf.statcvs.model.Revision newRevision)

  Specified by:
    `getDiffUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getDiffUrl`

### setAtticFileNames

    public void setAtticFileNames(Set atticFileNames)

  Specified by:
    `setAtticFileNames` in interface `net.sf.statcvs.output.WebRepositoryIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#setAtticFileNames(java.util.Set)`

### getBaseUrl

    public String getBaseUrl()

  Specified by:
    `getBaseUrl` in interface `net.sf.statcvs.output.WebRepositoryIntegration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD